<?
include '../config.php';
include '../func.php';
head();
aut();
ban();

echo head . 'Битва брендов' . div . katalog;
echo '<center>';

$golos = num($_GET['mod']);
$bitva = num($_GET['bitva']);

$brand = mysql_fetch_assoc(mysql_query("SELECT * FROM `brand` WHERE `id` = '".$bitva."'"));

if (empty($brand['id'])) $err = 'Данной битвы не существует';
if ($brand['time'] < time()) $err = 'Битва не активна';
mysql_query("SELECT * FROM `brand_vote` WHERE `user` = '".$user['id']."' AND `brand` = '".$bitva."'"); 
if(mysql_affected_rows()!=0) $err = 'Вы уже голосовали';

if (isset($err))
    echo '<b>Ошибка:</b> ' . $err . '<br/>';
else {
if (mysql_query("INSERT INTO `brand_vote` SET `brand` = '".$bitva."', `golos` = '".$golos."', `user` = '".$user['id']."', `date` = '".time()."' ")) {
    echo 'Вы успешно проголосовали';
} else {
    echo 'Возникла ошибка';
}
}



echo '</center>';
navig();
foot();
?>
